cgGetResourceString(3)

NAME
cgGetResourceString - get the resource name associated with a resource enumerant

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetResourceString( CGresource resource );

PARAMETERS

resource
    The resource enumerant.

RETURN VALUES
Returns the NULL-terminated resource string of the enumerant resource.

DESCRIPTION
cgGetResourceString returns the resource named associated with a resource enumerant.

EXAMPLES
  /* log info about parameter param for debugging */
  printf("Resource: %s:%d (base %s)\n",
    cgGetResourceString(cgGetParameterResource(param)),
    cgGetParameterResourceIndex(param),
    cgGetResourceString(cgGetParameterBaseResource(param)));

ERRORS
None.

HISTORY
cgGetResourceString was introduced in Cg 1.1.

SEE ALSO
the cgGetResource manpage, the cgGetParameterResource manpage